Bug Hunting Session
Bug 51296 - UI: Calc doesn't take care of security setting "Ctrl-click required to follow hyperlinks"
Summary: UI: Calc doesn't take care of security setting "Ctrl-click required to follow...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: high normal
Assignee: Akash Shetye
URL:
Whiteboard: target:4.1.0 target:4.0.3 target:4.2.0
Keywords:
: 64993 67715 70837 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-21 06:46 UTC by fs
Modified: 2014-03-26 16:58 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description fs 2012-06-21 06:46:29 UTC
Currently, there's a setting in Options -> LibreOffice -> Security -> Options: "Ctrl-click required to follow hyperlinks".

Expected behaviour:
Since this is part of the gereral preferences, one might expect that this setting affects all LibreOffice components, including Calc.

Current behaviour:
This option seems to affect the handling of hyperlinks only in Writer. Hyperlinks in Calc and in Impress can bee activated by a single click even with this option set.

Enhancement requests:
1. I would prefer if the handling of hyperlinks would be identical in every LibreOffice component, so i would propose to make Calc (and Impress) recognize that setting, too.
2. At least, the label of that option (or, at least, the documentation) should state that the setting affects only the Writer component.
Comment 1 Joel Madero 2012-07-09 17:58:44 UTC
I'm raising this to a bug instead of an enhancement. Because the option is in the general security options, you're absolutely right that all software should handle the option in the same way. 

Marking as a Normal -> High bug. I gave it high priority because it falls in the "security vulnerability" category. Some might disagree that this level of priority is necessary or appropriate but for me anything that raises security concerns deserves to be raised.

Thanks for reporting this
Comment 2 domi 2012-11-06 15:38:12 UTC
i agree to the high bug
Calc purpose is rather to store URL lists in "mini databases" than  to follow them
the main purpose is to store  / sort / copy-past ... before opening links

also it is difficult to edit hyperlink URL
https://bugs.freedesktop.org/show_bug.cgi?id=35804

so managing (Ctrl+click) what it comes is even more important
Comment 3 Robinson Tryon (qubit) 2013-01-13 17:05:23 UTC
Looks like we just had another user run into this bug:
http://ask.libreoffice.org/en/question/9809/how-to-prevent-libreoffice-from-opening-the/

Any hope of a patch landing for 4.0? I'd be happy to download a nightly build and verify the fix...
Comment 4 Commit Notification 2013-03-25 17:26:01 UTC
Akash Shetye committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99932fa89be0e041abf5ce5da3271600c841ff19

fdo#51296 Patch accounts security setting requiring ctrl+click for hyperlinks.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-03-25 17:43:32 UTC
Akash Shetye committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2902a8369fc6033c74ebbb46408ccb29f279a5a8&h=libreoffice-4-0

fdo#51296 Patch accounts security setting requiring ctrl+click for hyperlinks.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Kohei Yoshida 2013-03-25 17:44:31 UTC
We just merged a patch that fixes this.  Marking it fixed.
Comment 7 Harald Koester 2013-05-14 08:54:09 UTC
According to comment 1 Writer and Calc should handle the option in the same way. This is still not the case:

Option set to "Ctrl-click required to follow hyperlinks":
Tip in Writer: "Ctrl-click to open hyperlink ..."
Tip in Calc: Only URL is displayed.
If extended tips are displayed the behaviour is equal.
Expected in Calc: "Ctrl-click to ..."

Option "Ctrl-click required to follow hyperlinks" is reset:
Writer: With Ctrl-click the hyperlink is not opened.
Calc: With Ctrl-click the hyperlink is opened.
Expected: Same behaviour of Calc and Writer, either open oder not open hyperlink.

Hence different behaviour between Calc and Writer, bug reopened.
Comment 8 ign_christian 2013-05-15 03:45:39 UTC
I've tested on LO 4.0.3.3 (win7 Home 32bit), only ctrl+click will open hyperlink. Nothing happen if I only click that link.
Comment 9 Akash Shetye 2013-05-24 12:49:55 UTC
I am looking into these issues ASAP.
Comment 10 Akash Shetye 2013-05-24 13:09:30 UTC
comment 8 It does open with ctrl+click even when the ctrl+click security option is reset, on Ubuntu atleast and it should do so with the current code. Maybe something myterious with windows. Have fixed the issue (barely a few characters added), still working on the tooltip issue here. I am pushing the patch to gerrit.
Comment 11 Akash Shetye 2013-05-24 18:06:18 UTC
I believe that ctrl+click not opening the hyperlink in writer when ctrl+click setting is disabled is wrong. Well "open hyperlinks when ctrl+click pressed" when disabled; should look only for a click irrespective to the states of other keys. For now it makes sense to follow writer's lead, but what do you guys think?
Comment 12 Zeki Bildirici 2013-05-26 09:01:50 UTC
Hi,

@Akash

I've checked it on Ubuntu and Windows. If you have upgraded to 4.0.3 from 4.0.2, Ubuntu fails to apply this setting, but if you reset your user profile the settings will work.

So this bug seems to be fixed.

But there is a serious problem, as Harald says; that no warning of "Ctrl+click opens the link" where Writer has.

I will fill a bug report for this -if there is not yet one reported-

Regards,
Zeki
Comment 13 Cor Nouws 2013-06-19 07:23:11 UTC
*** Bug 64993 has been marked as a duplicate of this bug. ***
Comment 14 Cor Nouws 2013-06-19 07:23:55 UTC
I see that a patch is being prepared but not yet finished
  https://gerrit.libreoffice.org/4051
Comment 15 Commit Notification 2013-06-24 14:32:37 UTC
Akash Shetye committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c13daee32de1be4b96d6a948cfca4aa0bdf8c4db

fdo#51296 Helptext added for hyperlinks, hlinks behave as in writer



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 bjlockie 2013-08-03 15:48:24 UTC
*** Bug 67715 has been marked as a duplicate of this bug. ***
Comment 17 Urmas 2013-08-04 03:02:16 UTC
Marking as fixed.
Comment 18 Cor Nouws 2013-10-24 12:18:15 UTC
*** Bug 70837 has been marked as a duplicate of this bug. ***